Returns specified company contact information.

GEThttps://api.awork.com/api/v1/companies/{companyId}/contactinfo/{contactInfoId}
GET https://api.awork.com/api/v1/companies/{companyId}/contactinfo/{contactInfoId}

Returns the specified company contact information. The contact information must belong to the specified company.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

companyIdstringRequired
format: uuid

The id of the company.

contactInfoIdstringRequired
format: uuid

The id of the contact info.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

labelstring or nullOptional
minLength: 0 maxLength: 1000

The label of the contact info. Only necessary if type 'custom' is used.

valuestring or nullOptional
minLength: 0 maxLength: 1000

The value of the contact info.

typestringRequired
minLength: 0 maxLength: 25

The type of the contact info. Possible values are: 'phone', 'email', 'address', 'url', 'custom'.

subTypestring or nullOptional
minLength: 0 maxLength: 25

The subtype of the contact info. Required for all types except 'custom'. Possible values are: phone: [ 'central', 'other' ] email: [ 'central', 'invoice', 'other' ] address: [ 'central', 'invoice', 'other' ] url: [ 'primary', 'other' ]

addressLine1string or nullOptional
minLength: 0 maxLength: 1000

The first address line of the contact info.

addressLine2string or nullOptional
minLength: 0 maxLength: 100

The second address line of the contact info.

zipCodestring or nullOptional
minLength: 0 maxLength: 100

The zipcode of the contact info.

citystring or nullOptional
minLength: 0 maxLength: 100

The city of the contact info.

statestring or nullOptional
minLength: 0 maxLength: 100

The state of the contact info.

countrystring or nullOptional
minLength: 0 maxLength: 100

The 2 letter iso code of the country.

isAddressbooleanOptional

Flags whether this contact info is an address. If it's an address, the address fields are required.

idstringOptional
format: uuid

The Id of the contact info.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation